fuzzyowl2.parser

## Class Parser

- java.lang.Object
- - fuzzyowl2.parser.Parser

- All Implemented Interfaces:
    fuzzyowl2.parser.ParserConstants

      public class Parser
      extends java.lang.Object
      implements fuzzyowl2.parser.ParserConstants

  Parses an OWL 2 annotation into fuzzyDL syntax.
  Author:
    Fernando Bobillo

- - ### Property Summary

    Properties
    Type | Property and Description
    --- | ---
    `PropertyDefinition` | `read`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `fuzzyowl2.parser.Token` | `jj_nt` Next token.
    `fuzzyowl2.parser.Token` | `token` Current token.
    `fuzzyowl2.parser.ParserTokenManager` | `token_source` Generated Token Manager.

    - ### Fields inherited from interface fuzzyowl2.parser.ParserConstants

      `A, AXIOM, B, BASE, C, CHOQUET, CLOSE_TAG, COM, CONCEPT, CONCEPT_DEF, CONCEPTS, CP, CSB, D, DATATYPE, DATATYPE_DEF, DEFAULT, DEGREE_DEF, DEGREE_VALUE, EOF, EOL, EQL, FUZZY_DEF, FUZZY_NOMINAL, FUZZYOWL2, FUZZYTYPE, GEQ, GOEDEL, GRE, IDENTIFIER, INDIVIDUAL, LEQ, LES, LINEAR, LOGIC, LS, LUKASIEWICZ, MODIFIED, MODIFIER, MODIFIER_DEF, NAME, NUMBER, ONTOLOGY, OP, OPEN_TAG, OSB, OWA, PRODUCT, QOWA, QUANTIFIER, QUASI_SUGENO, ROLE, ROLE_DEF, RS, SLASH, SUGENO, tokenImage, TRAP, TRI, TYPE, WEIGHT, WEIGHTED, WEIGHTED_MAX, WEIGHTED_MIN, WEIGHTED_SUM, WEIGHTS, ZADEH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Parser(java.io.InputStream stream)` Constructor with InputStream.
    `Parser(java.io.InputStream stream, java.lang.String encoding)` Constructor with InputStream and supplied encoding
    `Parser(fuzzyowl2.parser.ParserTokenManager tm)` Constructor with generated Token Manager.
    `Parser(java.io.Reader stream)` Constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `Axiom()`
    `void` | `CommonBeginning()`
    `void` | `CommonEnd()`
    `java.lang.Object` | `DatatypeOrModifier()`
    `void` | `disable_tracing()` Disable tracing.
    `void` | `enable_tracing()` Enable tracing.
    `fuzzyowl2.parser.ParseException` | `generateParseException()` Generate ParseException.
    `static java.lang.Object` | `getDatatype(java.lang.String s)`
    `static ConceptDefinition` | `getDefinedConcept(java.lang.String s)`
    `static PropertyDefinition` | `getDefinedProperty(java.lang.String s)`
    `static double` | `getDegree(java.lang.String s)`
    `FuzzyLogic` | `getFuzzyLogic()`
    `static FuzzyLogic` | `getLogic(java.lang.String s)`
    `fuzzyowl2.parser.Token` | `getNextToken()` Get the next Token.
    `fuzzyowl2.parser.Token` | `getToken(int index)` Get the specific Token.
    `ConceptDefinition` | `readConcept()`
    `PropertyDefinition` | `readProperty()`
    `void` | `ReInit(java.io.InputStream stream)` Reinitialise.
    `void` | `ReInit(java.io.InputStream stream, java.lang.String encoding)` Reinitialise.
    `void` | `ReInit(fuzzyowl2.parser.ParserTokenManager tm)` Reinitialise.
    `void` | `ReInit(java.io.Reader stream)` Reinitialise.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Property Detail

    - #### read

      Throws:
        `fuzzyowl2.parser.ParseException`

  - ### Field Detail

    - #### token_source

          public fuzzyowl2.parser.ParserTokenManager token_source

      Generated Token Manager.

    - #### token

          public fuzzyowl2.parser.Token token

      Current token.

    - #### jj_nt

          public fuzzyowl2.parser.Token jj_nt

      Next token.

  - ### Constructor Detail

    - #### Parser

          public Parser(java.io.InputStream stream)

      Constructor with InputStream.

    - #### Parser

          public Parser(java.io.InputStream stream,
                java.lang.String encoding)

      Constructor with InputStream and supplied encoding

    - #### Parser

          public Parser(java.io.Reader stream)

      Constructor.

    - #### Parser

          public Parser(fuzzyowl2.parser.ParserTokenManager tm)

      Constructor with generated Token Manager.

  - ### Method Detail

    - #### getDegree

          public static double getDegree(java.lang.String s)

    - #### getLogic

          public static FuzzyLogic getLogic(java.lang.String s)

    - #### getDefinedConcept

          public static ConceptDefinition getDefinedConcept(java.lang.String s)

    - #### getDefinedProperty

          public static PropertyDefinition getDefinedProperty(java.lang.String s)

    - #### getDatatype

          public static java.lang.Object getDatatype(java.lang.String s)

    - #### readConcept

          public final ConceptDefinition readConcept()
                                              throws fuzzyowl2.parser.ParseException

      Throws:
        `fuzzyowl2.parser.ParseException`

    - #### readProperty

          public final PropertyDefinition readProperty()
                                                throws fuzzyowl2.parser.ParseException

      Throws:
        `fuzzyowl2.parser.ParseException`

    - #### CommonBeginning

          public final void CommonBeginning()
                                     throws fuzzyowl2.parser.ParseException

      Throws:
        `fuzzyowl2.parser.ParseException`

    - #### CommonEnd

          public final void CommonEnd()
                               throws fuzzyowl2.parser.ParseException

      Throws:
        `fuzzyowl2.parser.ParseException`

    - #### DatatypeOrModifier

          public final java.lang.Object DatatypeOrModifier()
                                                    throws fuzzyowl2.parser.ParseException

      Throws:
        `fuzzyowl2.parser.ParseException`

    - #### Axiom

          public final double Axiom()
                             throws fuzzyowl2.parser.ParseException

      Throws:
        `fuzzyowl2.parser.ParseException`

    - #### getFuzzyLogic

          public final FuzzyLogic getFuzzyLogic()
                                         throws fuzzyowl2.parser.ParseException

      Throws:
        `fuzzyowl2.parser.ParseException`

    - #### ReInit

          public void ReInit(java.io.InputStream stream)

      Reinitialise.

    - #### ReInit

          public void ReInit(java.io.InputStream stream,
                    java.lang.String encoding)

      Reinitialise.

    - #### ReInit

          public void ReInit(java.io.Reader stream)

      Reinitialise.

    - #### ReInit

          public void ReInit(fuzzyowl2.parser.ParserTokenManager tm)

      Reinitialise.

    - #### getNextToken

          public final fuzzyowl2.parser.Token getNextToken()

      Get the next Token.

    - #### getToken

          public final fuzzyowl2.parser.Token getToken(int index)

      Get the specific Token.

    - #### generateParseException

          public fuzzyowl2.parser.ParseException generateParseException()

      Generate ParseException.

    - #### enable_tracing

          public final void enable_tracing()

      Enable tracing.

    - #### disable_tracing

          public final void disable_tracing()

      Disable tracing.